(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('ngx-ui-tour-core'), require('@angular/common'), require('@angular/core'), require('@ng-bootstrap/ng-bootstrap')) :
    typeof define === 'function' && define.amd ? define('ngx-ui-tour-console', ['exports', 'ngx-ui-tour-core', '@angular/common', '@angular/core', '@ng-bootstrap/ng-bootstrap'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['ngx-ui-tour-console'] = {}, global.ngxUiTourCore, global.ng.common, global.ng.core, global.ngBootstrap));
}(this, (function (exports, ngxUiTourCore, common, core, ngBootstrap) { 'use strict';

    var TourAnchorConsoleDirective = /** @class */ (function () {
        function TourAnchorConsoleDirective(tourService, element, tourBackdrop) {
            this.tourService = tourService;
            this.element = element;
            this.tourBackdrop = tourBackdrop;
        }
        TourAnchorConsoleDirective.prototype.ngOnInit = function () {
            this.tourService.register(this.tourAnchor, this);
        };
        TourAnchorConsoleDirective.prototype.ngOnDestroy = function () {
            this.tourService.unregister(this.tourAnchor);
        };
        // noinspection JSUnusedGlobalSymbols
        TourAnchorConsoleDirective.prototype.showTourStep = function (step) {
            var htmlElement = this.element.nativeElement;
            if (!step.preventScrolling) {
                ngxUiTourCore.ScrollingUtil.ensureVisible(htmlElement);
            }
            if (step.enableBackdrop) {
                this.tourBackdrop.show(this.element);
            }
            else {
                this.tourBackdrop.close();
            }
            console.group(step.title);
            console.log(step.content);
            console.log((step.placement || 'above') + " " + this.tourAnchor);
            console.groupEnd();
        };
        TourAnchorConsoleDirective.prototype.hideTourStep = function () {
            if (this.tourService.getStatus() === ngxUiTourCore.TourState.OFF) {
                this.tourBackdrop.close();
            }
        };
        return TourAnchorConsoleDirective;
    }());
    TourAnchorConsoleDirective.decorators = [
        { type: core.Directive, args: [{
                    selector: '[tourAnchor]',
                },] }
    ];
    TourAnchorConsoleDirective.ctorParameters = function () { return [
        { type: ngxUiTourCore.TourService },
        { type: core.ElementRef },
        { type: ngxUiTourCore.TourBackdropService }
    ]; };
    TourAnchorConsoleDirective.propDecorators = {
        tourAnchor: [{ type: core.Input }]
    };

    var TourConsoleModule = /** @class */ (function () {
        function TourConsoleModule() {
        }
        TourConsoleModule.forRoot = function () {
            return {
                ngModule: TourConsoleModule,
                providers: [
                    ngxUiTourCore.TourService,
                    ngxUiTourCore.TourBackdropService
                ],
            };
        };
        return TourConsoleModule;
    }());
    TourConsoleModule.decorators = [
        { type: core.NgModule, args: [{
                    declarations: [TourAnchorConsoleDirective],
                    exports: [TourAnchorConsoleDirective, ngxUiTourCore.TourHotkeyListenerComponent],
                    imports: [ngxUiTourCore.TourModule, common.CommonModule, ngBootstrap.NgbPopoverModule],
                },] }
    ];

    /*
     * Public API Surface of ngx-ui-tour-console
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.TourAnchorConsoleDirective = TourAnchorConsoleDirective;
    exports.TourConsoleModule = TourConsoleModule;
    Object.keys(ngxUiTourCore).forEach(function (k) {
        if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return ngxUiTourCore[k];
            }
        });
    });

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ngx-ui-tour-console.umd.js.map
